image: luxtorpeda/steam-runtime-amd64-beta:lux-190812-1

stages:
  - dependencies
  - build
  - package
  - publish

Build Boost:
  stage: dependencies
  before_script:
    - git submodule update --init --recursive boost
  script: ./build-boost.sh
  artifacts:
    paths:
      - local/
    expire_in: 2 hours

Build FFmpeg:
  stage: dependencies
  before_script:
    - git submodule update --init --recursive ffmpeg
  script: ./build-ffmpeg.sh
  artifacts:
    paths:
      - local/
    expire_in: 2 hours

Build OpenSceneGraph:
  stage: dependencies
  before_script:
    - git submodule update --init --recursive osg
  script: ./build-osg.sh
  artifacts:
    paths:
      - local/
    expire_in: 2 hours

Build MyGUI:
  stage: dependencies
  before_script:
    - git submodule update --init --recursive mygui
  script: ./build-mygui.sh
  artifacts:
    paths:
      - local/
    expire_in: 2 hours

Build Bullet Physics SDK:
  stage: dependencies
  before_script:
    - git submodule update --init --recursive bullet3
  script: ./build-bullet.sh
  artifacts:
    paths:
      - local/
    expire_in: 2 hours

Build:
  stage: build
  before_script:
    - git submodule update --init --recursive source
  script: ./build.sh
  artifacts:
    paths:
      - 22320/
    expire_in: 1 day

Package:
  stage: package
  script: ./package.sh
  artifacts:
    paths:
    - 22320/dist.tar.xz
    expire_in: 1 week

pages:
  stage: publish
  script:
  - mkdir public
  - cp index.html public/
  - sed -i "s|%GIT_DESCRIPTION%|$(git submodule status source | cut -d' ' -f-2)|" public/index.html
  - sed -i "s|%DATE%|$(date)|" public/index.html
  - mv 22320/dist.tar.xz public/openmw-22320.tar.xz
  artifacts:
    paths:
    - public
  only:
  - master
